<template>
  <div class="student-work-section">
    <div v-for="w in student_works" :key="w.id" class="work">
      <div v-if="_.get(w, 'attributes.type') === 'arrow'" class="arrow-type">
        <AppImg :src="arrow_image" class="image" />

        <h4 :style="{ color: theme_color }">
          {{ _.get(w, "attributes.title") }}
        </h4>
      </div>

      <!-- <div v-else-if="w.type === 'text'" class="text-type">
        <h4>{{ w.attributes.title }}</h4>

        <div class="body1">
          {{ w.description }}
        </div>
      </div> -->

      <div v-else class="image-type">
        <AppImg :src="getImageUrl(w)" class="image" />

        <h6>{{ _.get(w, "attributes.title") }}</h6>

        <nuxt-link
          v-if="getProgramTitle(w)"
          :to="`/programs/${getProgramId(w)}`"
          class="body1"
        >
          <b>#{{ getProgramTitle(w) }}</b>
        </nuxt-link>
      </div>
    </div>
  </div>
</template>

<script>
import _ from "lodash";

export default {
  props: {
    theme_color: {
      type: String,
      default: "#ff5500",
    },
    student_works: {
      type: Array,
      default: () => {
        return [];
      },
    },
  },
  data() {
    return {
      arrow_image:
        this.theme_color === "#d00000"
          ? require("~/assets/images/arrow_bottom_left_red.png")
          : require("~/assets/images/arrow_bottom_left.png"),
    };
  },
  computed: {
    _() {
      return _;
    },
  },
  methods: {
    getImageUrl(w) {
      return (
        process.env.api_url + _.get(w, "attributes.image.data.attributes.url")
      );
    },
    getProgramId(w) {
      return _.get(w, "attributes.program.data.id");
    },
    getProgramTitle(w) {
      return _.get(w, "attributes.program.data.attributes.title");
    },
  },
};
</script>

<style lang="scss" scoped>
.student-work-section {
  display: flex;
  flex-wrap: wrap;
  .work {
    flex: 1;
    min-width: 50%;
    padding: 80px;
    border-top: 1px solid $color-primary-500;
    @include media-breakpoint(mobile) {
      min-width: 100%;
      padding: 40px 24px;
    }
    .arrow-type {
      max-width: 800px;
      margin: 0 auto;
      .image {
        width: 100%;
      }
      h4 {
        margin-top: 40px;
      }
    }
    .image-type {
      max-width: 800px;
      margin: 0 auto;
      .body1 {
        margin-top: 4px;
        display: block;
        text-decoration: none;
      }
      .image {
        width: 100%;
        aspect-ratio: 1;
        background: $color-basic-grey;
      }
      h6 {
        margin-top: 40px;
        font-weight: normal;
      }
    }
    // .text-type {
    //   .body1 {
    //     margin-top: 40px;
    //     @include media-breakpoint(mobile) {
    //       margin-top: 24px;
    //     }
    //   }
    // }
  }
  .work:nth-child(even) {
    border-left: 1px solid $color-primary-500;
    @include media-breakpoint(mobile) {
      border-left: 0;
    }
  }
}
</style>
